Module javafx.graphics
Package javafx.print

## Enum PrintColor

- java.lang.Object
- - java.lang.Enum<PrintColor>
  - - javafx.print.PrintColor

- All Implemented Interfaces:
    `Serializable`, `Comparable<PrintColor>`, `Constable`

      public enum PrintColor
      extends Enum<PrintColor>

  Class which describes whether printing should be monochrome or color.
  Since:
    JavaFX 8.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLOR` | Specifies color printing.
    `MONOCHROME` | Specifies monochrome or grey scale printing.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrintColor` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PrintColor[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLOR

          public static final PrintColor COLOR

      Specifies color printing.

    - #### MONOCHROME

          public static final PrintColor MONOCHROME

      Specifies monochrome or grey scale printing.

  - ### Method Detail

    - #### values

          public static PrintColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrintColor valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null